console.log("Background script loaded");

function isValidIP(ip) {
    const ipRegex = /^(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/;
    return ipRegex.test(ip);
}

chrome.tabs.onUpdated.addListener(function (tabId, changeInfo, tab) {
    if (changeInfo.status === "complete") {
        chrome.tabs.sendMessage(tabId, { action: "pageLoaded" });
    }
});

chrome.runtime.onMessage.addListener(function (request, sender, sendResponse) {
    console.log("Message received in background script:", request);
    if (request.action === "checkIP") {
        console.log("Checking if text is IP:", request.text);
        if (isValidIP(request.text)) {
            console.log("Valid IP detected:", request.text);
            chrome.tabs.sendMessage(sender.tab.id, { action: "createIframe", ip: request.text, frameId: sender.frameId });
        } else {
            console.log("Not a valid IP");
        }
    }
    if (request.action === "openNewTab") {
        chrome.tabs.create({ url: `https://rivers.chaitin.cn/ip-intelligence?search=${request.text}` });
    }
    sendResponse({ received: true });
});