document.addEventListener('DOMContentLoaded', () => {

  const input = document.getElementById('appkey');
  const button = document.getElementById('save');
  const openEye = document.getElementById('open-eye');
  const closeEye = document.getElementById('close-eye');

  input.type = 'password';

  closeEye.style.cssText = `
    display: inline-block;
    position: absolute;
    top: 15px;
    right: 10px;
    transform: translateY(-50%);
    cursor: pointer;
  `

  openEye.style.cssText = `
    display: none;
    position: absolute;
    top: 15px;
    right: 10px;
    transform: translateY(-50%);
    cursor: pointer;
  `

  closeEye.addEventListener('click', () => {
    input.type = 'text';
    openEye.style.display = 'inline-block';
    closeEye.style.display = 'none';
  })

  openEye.addEventListener('click', () => {
    input.type = 'password';
    openEye.style.display = 'none';
    closeEye.style.display = 'inline-block';
  })

  chrome.storage.local.get('appkey', (result) => {
    if (result.appkey) {
      input.value = result.appkey;
    }
  })

  button.addEventListener('click', () => {
    button.setAttribute('disabled', true);
    chrome.storage.local.set({ appkey: input.value }, () => {
      button.innerHTML = '&#24050;&#20445;&#23384;';
      button.style.color = 'rgba(0,0,0,0.3)';
      button.style.borderColor = 'rgba(0,0,0,0.3)';
      setTimeout(() => {
        button.removeAttribute('disabled');
        button.innerHTML = '&#20445;&#23384;';
        button.style.color = '#206cff';
        button.style.borderColor = '#206cff';
      }, 1000);
    });
  })

  input.addEventListener('keydown', (event) => {
    if (event.key === 'Enter') {
      button.click();
    }
  })

})